Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezslideshow.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezslideshow.php 6219 2001-07-20 11:06:39Z jakobn $
5 //
6 // Definition of eZSlideshow class
7 //
8 // Created on: <27-Jun-2001 10:45:21 jhe>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
39 // include_once( "ezimagecatalogue/classes/ezimage.php" );
40 // include_once( "ezimagecatalogue/classes/ezimagecategory.php" );
41
42 class eZSlideshow
43 {
44
48 function __construct( $category, $user, $pos = 0 )
49 {
50 $this->CategoryID = $category;
51 $this->User = $user;
52 $this->Position = $pos;
53
54 $this->get( $this->User, $this->CategoryID );
55 }
56
60 function get( $user, $category )
61 {
62 $this->ImageArray =& eZImageCategory::getImages( $user, $category );
63 }
64
69 function image( $pos = false )
70 {
71 if ( !$pos )
72 $pos = $this->Position;
73
74 if ( $pos >= count( $this->ImageArray ) )
75 return false;
76 else
77 return $this->ImageArray[$pos];
78 }
79
83 function size()
84 {
85 return count( $this->ImageArray );
86 }
87
91 function currentPosition()
92 {
93 return $this->Position;
94 }
95
96 var $CategoryID;
97 var $Position;
98 var $ImageArray;
99 var $User;
100 }
101
102 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
eZImageCategory\getImages
& getImages( $user, $category=false)
Definition: ezimagecategory.php:263
eZSlideshow
Definition: ezslideshow.php:43
eZSlideshow\$User
$User
Definition: ezslideshow.php:99
eZSlideshow\size
size()
Definition: ezslideshow.php:83
eZSlideshow\$ImageArray
$ImageArray
Definition: ezslideshow.php:98
eZSlideshow\$Position
$Position
Definition: ezslideshow.php:97
eZSlideshow\$CategoryID
$CategoryID
Definition: ezslideshow.php:96
eZSlideshow\__construct
__construct( $category, $user, $pos=0)
Definition: ezslideshow.php:48
eZSlideshow\image
image( $pos=false)
Definition: ezslideshow.php:69
eZSlideshow\currentPosition
currentPosition()
Definition: ezslideshow.php:91
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.